'use strict';

let evens = {
  [Symbol.iterator]() {
    let current = -2;
    
    return {
      next() {
        current += 2;
        return {done: false, value: current};
      }
    }
  }
}

for(let i of evens) {
  if(i > 10)
    break;
  
  console.log(i);
}